# Overview

The Trading API provides **29 endpoints** across 5 modules:

## Module Summary

| Module          | Endpoints | Permission               |
| --------------- | --------- | ------------------------ |
| Market Data     | 4         | `READ_ONLY`              |
| User & Assets   | 3         | `READ_ONLY`              |
| Orders          | 8         | `READ_ONLY` / `WRITABLE` |
| Cash Operations | 10        | `READ_ONLY` / `WRITABLE` |
| One Click       | 4         | `READ_ONLY` / `WRITABLE` |

## All Endpoints

### Market Data

| Method | Path                                | Permission  | Description                         |
| ------ | ----------------------------------- | ----------- | ----------------------------------- |
| `GET`  | `/api/v1/symbols`                   | `READ_ONLY` | List tradable on-chain symbols      |
| `GET`  | `/api/v1/prices/{symbol}`           | `READ_ONLY` | Real-time quote for a single symbol |
| `GET`  | `/api/v1/prices/{symbol}/history`   | `READ_ONLY` | Historical K-line data              |
| `GET`  | `/api/v1/underlying/{symbol}/price` | `READ_ONLY` | Underlying stock quote              |

### User & Assets

| Method | Path                               | Permission  | Description     |
| ------ | ---------------------------------- | ----------- | --------------- |
| `GET`  | `/api/v1/users/{userId}`           | `READ_ONLY` | User info       |
| `GET`  | `/api/v1/users/{userId}/balance`   | `READ_ONLY` | Asset portfolio |
| `GET`  | `/api/v1/users/{userId}/positions` | `READ_ONLY` | Position list   |

### Orders

| Method   | Path                                | Permission  | Description                  |
| -------- | ----------------------------------- | ----------- | ---------------------------- |
| `GET`    | `/api/v1/orders`                    | `READ_ONLY` | Order mapping list           |
| `POST`   | `/api/v1/orders/calldata`           | `WRITABLE`  | Build order calldata         |
| `POST`   | `/api/v1/orders/send`               | `WRITABLE`  | One Click delegated order    |
| `POST`   | `/api/v1/orders/tx`                 | `WRITABLE`  | Record self-submitted txHash |
| `GET`    | `/api/v1/orders/tx/{txHash}`        | `READ_ONLY` | Query order by txHash        |
| `GET`    | `/api/v1/orders/{orderId}`          | `READ_ONLY` | Order details                |
| `DELETE` | `/api/v1/orders/{orderId}/calldata` | `WRITABLE`  | Build cancel calldata        |
| `DELETE` | `/api/v1/orders/{orderId}/send`     | `WRITABLE`  | One Click delegated cancel   |

### Cash Operations

| Method | Path                                     | Permission  | Description                    |
| ------ | ---------------------------------------- | ----------- | ------------------------------ |
| `POST` | `/api/v1/cash/deposits/calldata`         | `WRITABLE`  | Build deposit calldata         |
| `POST` | `/api/v1/cash/deposits/send`             | `WRITABLE`  | One Click delegated deposit    |
| `POST` | `/api/v1/cash/deposits/tx`               | `WRITABLE`  | Record deposit txHash          |
| `GET`  | `/api/v1/cash/deposits`                  | `READ_ONLY` | Deposit records                |
| `GET`  | `/api/v1/cash/deposits/{operationId}`    | `READ_ONLY` | Single deposit details         |
| `POST` | `/api/v1/cash/withdrawals/calldata`      | `WRITABLE`  | Build withdrawal calldata      |
| `POST` | `/api/v1/cash/withdrawals/send`          | `WRITABLE`  | One Click delegated withdrawal |
| `POST` | `/api/v1/cash/withdrawals/tx`            | `WRITABLE`  | Record withdrawal txHash       |
| `GET`  | `/api/v1/cash/withdrawals`               | `READ_ONLY` | Withdrawal records             |
| `GET`  | `/api/v1/cash/withdrawals/{operationId}` | `READ_ONLY` | Single withdrawal details      |

### One Click

| Method | Path                  | Permission  | Description                          |
| ------ | --------------------- | ----------- | ------------------------------------ |
| `GET`  | `/api/v1/1ct/status`  | `READ_ONLY` | Query authorization status           |
| `POST` | `/api/v1/1ct/prepare` | `WRITABLE`  | Generate EIP-712 payload             |
| `POST` | `/api/v1/1ct/enable`  | `WRITABLE`  | Submit signature to enable One Click |
| `POST` | `/api/v1/1ct/disable` | `WRITABLE`  | Disable One Click                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.anchored.finance/trading-api-docs-en/api-reference/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
